# Class QuitEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.QuitEvent

All Implemented Interfaces:
  `Serializable`

public final class QuitEvent extends AppEvent
Event sent when the application is asked to quit.

Since:
  9
See Also:
  - `QuitHandler.handleQuitRequestWith(QuitEvent, QuitResponse)`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`QuitEvent()`
Constructs a `QuitEvent`.

## Method Summary

### Methods declared in class EventObject

`getSource, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QuitEvent

public QuitEvent()
Constructs a `QuitEvent`.

Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  - `Desktop.isDesktopSupported()`
  - `GraphicsEnvironment.isHeadless()`